Bug 183519 - [UPDATE] science/py-h5py: update to 2.2.0
Summary: [UPDATE] science/py-h5py: update to 2.2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-31 10:20 UTC by Johannes Meixner
Modified: 2013-11-13 21:30 UTC (History)
1 user (show)

See Also:


Attachments
py27-h5py-2.2.0.patch (3.24 KB, patch)
2013-10-31 10:20 UTC, Johannes Meixner
no flags Details | Diff
svndiff (2.97 KB, text/x-diff; charset=us-ascii)
2013-11-11 16:30 UTC, Johannes Meixner
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Meixner 2013-10-31 10:20:00 UTC
- Update to 2.2.0
- Add LICENSE
- Add DOCS option

Port maintainer (fmysh@iijmio-mail.jp) is cc'd.

Generated with FreeBSD Port Tools 0.99_8 (mode: update, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2013-10-31 10:20:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-10-31 10:20:10 UTC
Maintainer of science/py-h5py,

Please note that PR ports/183519 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/183519

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2013-10-31 10:20:11 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 William Grzybowski freebsd_committer 2013-10-31 11:33:50 UTC
Responsible Changed
From-To: freebsd-python->wg

I'll take it.
Comment 5 Johannes Meixner 2013-11-11 16:30:24 UTC
The diff attached removes the deprecated OPTIONSFILE?= definition
from Makefile, as it has been deprecated long time ago. All other things
equal.

Best regards,

Johannes Meixner
http://xmj.me/
Comment 6 William Grzybowski freebsd_committer 2013-11-13 21:28:31 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 7 dfilter service freebsd_committer 2013-11-13 21:28:38 UTC
Author: wg
Date: Wed Nov 13 21:28:29 2013
New Revision: 333728
URL: http://svnweb.freebsd.org/changeset/ports/333728

Log:
  science/py-h5py: update to 2.2.0
  
  - Update to 2.2.0
  - Add LICENSE (BSD)
  - Add DOCS
  - Pass maintainership to submitter
  
  PR:		ports/183519
  Submitted by:	Johannes Jost Meixner <xmj chaot.net>
  Approved by:	maintainer (timeout, 2 weeks, 3 times)

Modified:
  head/science/py-h5py/Makefile
  head/science/py-h5py/distinfo
  head/science/py-h5py/files/patch-setup.py

Modified: head/science/py-h5py/Makefile
==============================================================================
--- head/science/py-h5py/Makefile	Wed Nov 13 20:18:22 2013	(r333727)
+++ head/science/py-h5py/Makefile	Wed Nov 13 21:28:29 2013	(r333728)
@@ -2,26 +2,37 @@
 # $FreeBSD$
 
 PORTNAME=	h5py
-PORTVERSION=	2.1.1
+PORTVERSION=	2.2.0
 CATEGORIES=	science python
 MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE}
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 
-MAINTAINER=	fmysh@iijmio-mail.jp
+MAINTAINER=	xmj@chaot.net
 COMMENT=	General-purpose Python interface to the HDF5 library
 
+LICENSE=	BSD
+
 BUILD_DEPENDS=	${PYNUMPY}
 RUN_DEPENDS=	${PYNUMPY}
 LIB_DEPENDS=	libhdf5.so:${PORTSDIR}/science/hdf5-18
 
 USE_PYTHON=		yes
 USE_PYDISTUTILS=	yes
+
 PYDISTUTILS_AUTOPLIST=	yes
 
+PORTDOCS=	README.rst
+
+OPTIONS_DEFINE=	DOCS
+
 post-patch:
 	${REINPLACE_CMD} -e 's|%%LOCALBASE%%|${LOCALBASE}|' \
 		${WRKSRC}/setup.py
 
+post-install:
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${STAGEDIR}${DOCSDIR}
+
 regression-test: build
 	@cd ${WRKSRC} && ${PYTHON_CMD} ${PYSETUP} test
 

Modified: head/science/py-h5py/distinfo
==============================================================================
--- head/science/py-h5py/distinfo	Wed Nov 13 20:18:22 2013	(r333727)
+++ head/science/py-h5py/distinfo	Wed Nov 13 21:28:29 2013	(r333728)
@@ -1,2 +1,2 @@
-SHA256 (h5py-2.1.1.tar.gz) = 6e4f135268436cda1dc19a081dc5384d431057344fa1121a886016cd8c89c716
-SIZE (h5py-2.1.1.tar.gz) = 984939
+SHA256 (h5py-2.2.0.tar.gz) = 021c63a57a5ae231e3d60333634d1ae0fd4adaede2f918d6a699d38246dbd8a2
+SIZE (h5py-2.2.0.tar.gz) = 975911

Modified: head/science/py-h5py/files/patch-setup.py
==============================================================================
--- head/science/py-h5py/files/patch-setup.py	Wed Nov 13 20:18:22 2013	(r333727)
+++ head/science/py-h5py/files/patch-setup.py	Wed Nov 13 21:28:29 2013	(r333728)
@@ -1,12 +1,13 @@
---- ./setup.py.orig	2013-10-29 15:50:15.741120947 +0200
-+++ ./setup.py	2013-10-29 15:51:01.621119992 +0200
-@@ -68,6 +68,9 @@
-     elif sys.platform == 'darwin':
-         COMPILER_SETTINGS['include_dirs'] += ['/opt/local/include']
-         COMPILER_SETTINGS['library_dirs'] += ['/opt/local/lib']
-+    elif sys.platform.startswith('freebsd'):
-+        COMPILER_SETTINGS['include_dirs'] += ['%%LOCALBASE%%/include']
-+        COMPILER_SETTINGS['library_dirs'] += ['%%LOCALBASE%%/lib']
+--- ./setup.py.orig	2013-09-04 02:32:03.000000000 +0300
++++ ./setup.py	2013-10-30 23:46:03.668134592 +0200
+@@ -136,8 +136,8 @@
+         COMPILER_SETTINGS['include_dirs'] += ['/usr/local/include'] # homebrew
+         COMPILER_SETTINGS['library_dirs'] += ['/usr/local/lib']     # homebrew
+     elif sys.platform.startswith('freebsd'):
+-        COMPILER_SETTINGS['include_dirs'] += ['/usr/local/include'] # homebrew
+-        COMPILER_SETTINGS['library_dirs'] += ['/usr/local/lib']     # homebrew
++        COMPILER_SETTINGS['include_dirs'] += ['%%LOCALBASE%%/include'] # homebrew
++        COMPILER_SETTINGS['library_dirs'] += ['%%LOCALBASE%%/lib']     # homebrew
+     if MPI:
+         COMPILER_SETTINGS['include_dirs'] += [mpi4py.get_include()]
      COMPILER_SETTINGS['runtime_library_dirs'] = [op.abspath(x) for x in COMPILER_SETTINGS['library_dirs']]
- 
- MODULES =  ['defs','_errors','_objects','_proxy', 'h5fd', 'h5z',
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"